Project/src/model/Relation_np.java
package model;

import java.io.Serializable;

import dao.NoblePhantasmDAO;

public class Relation_np implements Serializable {
	private int id;
	private int servant_id;
	private int np_id;
	private int junban;




	public NoblePhantasm getNoblePhantasm() {
		return NoblePhantasmDAO.findByID(np_id);
	}

	public Relation_np(int id,int servant_id,int np_id,int junban) {
		this.id = id;
		this.servant_id = servant_id;
		this.np_id = np_id;
		this.junban = junban;
	}

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getServant_id() {
		return servant_id;
	}
	public void setServant_id(int servant_id) {
		this.servant_id = servant_id;
	}
	public int getNp_id() {
		return np_id;
	}
	public void setNp_id(int np_id) {
		this.np_id = np_id;
	}
	public int getJunban() {
		return junban;
	}
	public void setJunban(int junban) {
		this.junban = junban;
	}

}

Project/src/model/Servant.java
package model;

import java.io.Serializable;
import java.util.List;

import dao.ColorDAO;
import dao.Relation_CSDAO;
import dao.Relation_npDAO;
import dao.Relation_skillDAO;
import dao.Relation_stateDAO;
import dao.S_ClassDAO;
import dao.S_HoushinDAO;
import dao.S_RareDAO;
import dao.S_SeikakuDAO;
import dao.S_SexDAO;
import dao.S_TenchijinDAO;

public class Servant implements Serializable {
	private int id;
	private String name;
	private int hp;
	private int atk;
	private String card;
	private int b_hit;
	private int a_hit;
	private int q_hit;
	private int ex_hit;
	private int n_hit;
	private float np_eff;
	private float np_damage;
	private float star;
	private float star_atsumare;
	private String illustrator;
	private String cv;
	private int rare_id;
	private int class_id;
	private int tenchijin_id;
	private int sex_id;
	private int seikaku_id;
	private int houshin_id;
	private int color_id;

	List<Relation_np> R_np;
	List<Relation_skill> R_skill;
	List<Relation_c_skill> R_cs;
	List<Relation_state> R_state;




	//宝具
	public List<Relation_np> getRelation_np(){
		this.R_np = Relation_npDAO.findByID(this.id);
		return R_np;
	}
	public Relation_np getRelation_npONE1() {
		return Relation_npDAO.findOneNP1(this.id);
	}
	public Relation_np getRelation_npONE2() {
		return Relation_npDAO.findOneNP2(this.id);
	}
	//スキル
	public List<Relation_skill> getRelation_skill(){
		this.R_skill = Relation_skillDAO.findByID(this.id);
		return R_skill;
	}
	public List<Relation_skill> getRelation_skill_other(){
		this.R_skill = Relation_skillDAO.findByIDforOther(this.id);
		return R_skill;
	}
	public Relation_skill getSkill_n(String skill_junban) {
		return Relation_skillDAO.findoneByID(skill_junban, this.id);
	}
	//クラススキル
	public List<Relation_c_skill> getRelation_c_skill(){
		this.R_cs = Relation_CSDAO.findByID(this.id);
		return R_cs;
	}
	//特性
	public List<Relation_state> getRelation_state(){
		this.R_state = Relation_stateDAO.findByID(this.id);
		return R_state;
	}



	//カード枚数
	public int getB() {
		int X = (card.length() - card.replace("B","").length());
		return X;
	}
	public int getA() {
		int X = (card.length() - card.replace("A","").length());
		return X;
	}
	public int getQ() {
		int X = (card.length() - card.replace("Q","").length());
		return X;
	}

	//レア度 コスト 入手方法
	public S_rare getS_rare(){
		return S_RareDAO.findByID(this.rare_id);
	}
	//クラス名
	public S_class getS_class(){
		return S_ClassDAO.findByID(this.class_id);
	}
	//天地人
	public S_tenchijin getS_tenchijin(){
		return S_TenchijinDAO.findByID(this.tenchijin_id);
	}
	//性別
	public S_sex getS_sex(){
		return S_SexDAO.findByID(this.sex_id);
	}
	//性格
	public S_seikaku getS_seikaku(){
		return S_SeikakuDAO.findByID(this.seikaku_id);
	}
	//方針
	public S_houshin getS_houshin(){
		return S_HoushinDAO.findByID(this.houshin_id);
	}
	//色
	public Color getS_Color(){
		return ColorDAO.findByID(this.color_id);
	}



	//検索
	public Servant(int id,String name,int hp,int atk,String card,
			int rare_id,int class_id,int tenchijin_id,int sex_id,
			int seikaku_id,int houshin_id,int color_id) {
		this.id = id;
		this.name = name;
		this.hp = hp;
		this.atk = atk;
		this.card = card;
		this.rare_id = rare_id;
		this.class_id = class_id;
		this.tenchijin_id = tenchijin_id;
		this.sex_id = sex_id;
		this.seikaku_id = seikaku_id;
		this.houshin_id = houshin_id;
		this.color_id = color_id;
	}

	//計算機
	public Servant(int id,String name,int atk,int rare_id,int class_id,int tenchijin_id,
			int sex_id,int seikaku_id,int houshin_id,int color_id) {
		this.id = id;
		this.name = name;
		this.atk = atk;
		this.rare_id = rare_id;
		this.class_id = class_id;
		this.tenchijin_id = tenchijin_id;
		this.sex_id = sex_id;
		this.seikaku_id = seikaku_id;
		this.houshin_id = houshin_id;
		this.color_id = color_id;
	}

	//全乗せ 対応するものがない場合は中身がnull
	public Servant(int id,String name,int hp,int atk,String card,int b_hit,int a_hit,int q_hit,
			int ex_hit,int n_hit,float np_eff,float np_damage,float star,float star_atsumare,
			String illustrator,String cv,int rare_id,int class_id,int tenchijin_id,int sex_id,
			int seikaku_id,int houshin_id,int color_id) {
		this.id = id;
		this.name = name;
		this.hp = hp;
		this.atk = atk;
		this.card = card;
		this.b_hit = b_hit;
		this.a_hit = a_hit;
		this.q_hit = q_hit;
		this.ex_hit = ex_hit;
		this.n_hit = n_hit;
		this.np_eff = np_eff;
		this.np_damage = np_damage;
		this.star = star;
		this.star_atsumare = star_atsumare;
		this.illustrator = illustrator;
		this.cv = cv;
		this.rare_id = rare_id;
		this.class_id = class_id;
		this.tenchijin_id = tenchijin_id;
		this.sex_id = sex_id;
		this.seikaku_id = seikaku_id;
		this.houshin_id = houshin_id;
		this.color_id = color_id;
	}



	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getHp() {
		return hp;
	}
	public void setHp(int hp) {
		this.hp = hp;
	}
	public int getAtk() {
		return atk;
	}
	public void setAtk(int atk) {
		this.atk = atk;
	}
	public String getCard() {
		return card;
	}
	public void setCard(String card) {
		this.card = card;
	}
	public int getB_hit() {
		return b_hit;
	}
	public void setB_hit(int b_hit) {
		this.b_hit = b_hit;
	}
	public int getA_hit() {
		return a_hit;
	}
	public void setA_hit(int a_hit) {
		this.a_hit = a_hit;
	}
	public int getQ_hit() {
		return q_hit;
	}
	public void setQ_hit(int q_hit) {
		this.q_hit = q_hit;
	}
	public int getEx_hit() {
		return ex_hit;
	}
	public void setEx_hit(int ex_hit) {
		this.ex_hit = ex_hit;
	}
	public int getN_hit() {
		return n_hit;
	}
	public void setN_hit(int n_hit) {
		this.n_hit = n_hit;
	}
	public float getNp_eff() {
		return np_eff;
	}
	public void setNp_eff(float np_eff) {
		this.np_eff = np_eff;
	}
	public float getNp_damage() {
		return np_damage;
	}
	public void setNp_damage(float np_damage) {
		this.np_damage = np_damage;
	}
	public float getStar() {
		return star;
	}
	public void setStar(float star) {
		this.star = star;
	}
	public float getStar_atsumare() {
		return star_atsumare;
	}
	public void setStar_atsumare(float star_atsumare) {
		this.star_atsumare = star_atsumare;
	}
	public String getIllustrator() {
		return illustrator;
	}
	public void setIllustrator(String illustrator) {
		this.illustrator = illustrator;
	}
	public String getCv() {
		return cv;
	}
	public void setCv(String cv) {
		this.cv = cv;
	}
	public int getRare_id() {
		return rare_id;
	}
	public void setRare_id(int rare_id) {
		this.rare_id = rare_id;
	}
	public int getClass_id() {
		return class_id;
	}
	public void setClass_id(int class_id) {
		this.class_id = class_id;
	}
	public int getTenchijin_id() {
		return tenchijin_id;
	}
	public void setTenchijin_id(int tenchijin_id) {
		this.tenchijin_id = tenchijin_id;
	}
	public int getSex_id() {
		return sex_id;
	}
	public void setSex_id(int sex_id) {
		this.sex_id = sex_id;
	}
	public int getSeikaku_id() {
		return seikaku_id;
	}
	public void setSeikaku_id(int seikaku_id) {
		this.seikaku_id = seikaku_id;
	}
	public int getHoushin_id() {
		return houshin_id;
	}
	public void setHoushin_id(int houshin_id) {
		this.houshin_id = houshin_id;
	}
	public int getColor_id() {
		return color_id;
	}
	public void setColor_id(int color_id) {
		this.color_id = color_id;
	}
}

Project/src/model/Skill.java
package model;

import java.io.Serializable;
import java.util.List;

import dao.SEDAO;

public class Skill implements Serializable {
	private int id;
	private String name;
	private int ct;

	List<Skill_Effect> skill_Effects;


	//結合
	public List<Skill_Effect> getSkill_Effect(){
		this.skill_Effects = SEDAO.findByID(this.id);
		return skill_Effects;
	}




	public Skill(int id, String name,int ct) {
		this.id = id;
		this.name = name;
		this.ct = ct;
	}


	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getCt() {
		return ct;
	}
	public void setCt(int ct) {
		this.ct = ct;
	}

}

Project/src/controller/Calculation_Servlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.ServantDAO;
import model.Servant;
import service.Calc_note;
import service.Choice_bot;
import service.Judge_bot;

/**
 * Servlet implementation class Calculation_Servlet
 */
@WebServlet("/Calculation_Servlet")
public class Calculation_Servlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public Calculation_Servlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//エンコード
		request.setCharacterEncoding("UTF-8");
		//実行に必要なもの
		ServantDAO servantDAO = new ServantDAO();
		HttpSession req = request.getSession();

		//値の取得 - リスト
		String servant_id = request.getParameter("servant_id");
		String servant_name = request.getParameter("servant_name");
		String sex = request.getParameter("sex");
		String rare = request.getParameter("rare");
		String s_class = request.getParameter("s_class");

		//ジャッジ+α
		Judge_bot.judge(request);

		//検索 - リスト
		List<Servant> servantList = servantDAO.findByCalc(servant_id,servant_name,s_class,rare,sex);
		//セット
		req.setAttribute("servantList", servantList);
		/*入力履歴*/
		request.setAttribute("serHis", servant_name);
		request.setAttribute("claHis", s_class);
		request.setAttribute("rarHis", rare);
		request.setAttribute("sexHis", sex);

		//色などの選択肢の取得・セット
		Choice_bot.choiseSet(request);

		//ふぉわーど
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/Calculation.jsp");
		dispatcher.forward(request, response);
	}


	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//エンコード
		request.setCharacterEncoding("UTF-8");
		//実行に必要なもの
		HttpSession req = request.getSession();
		String SkillRef = request.getParameter("SkillRef");
		//値の初期化
		Calc_note.removeALL();
		//値の反映
		if(!(SkillRef == null)) {
			//読み込み
			Servant main = (Servant)req.getAttribute("addServant");
			//判定
			if(!(main == null)) {
				System.out.println();
				System.out.println("/mainの処理を開始します");
				//読み込み
				String NP = request.getParameter("NP");
				String OC = request.getParameter("OC");
				request.setAttribute("npHis", NP);
				request.setAttribute("ocHis", OC);
				//クラススキル
				Judge_bot.setClass_Skill(request);
				//宝具関連の判定
				Judge_bot.setNP(request);
				Judge_bot.setNPE(request);
				//スキルの判定
				Judge_bot.setSkillM(request);
				//ログ
				System.out.println("mainの処理を終了します/");
				System.out.println();
			}
			//サポート
			Judge_bot.setSkillS(request);

			//数値のセット
			if(Calc_note.getError() == 0) {
				req.setAttribute("ATKbuff", Calc_note.getATKbuff());
				req.setAttribute("NPbuff", Calc_note.getNPbuff());
				req.setAttribute("NPCbuff", Calc_note.getNPCbuff());
				req.setAttribute("NPSbuff", Calc_note.getNPSbuff());
				req.setAttribute("SAbuff", Calc_note.getSAbuff());
				req.setAttribute("DEFdebuff", Calc_note.getDEFdebuff());
				req.setAttribute("Bdamage", Calc_note.getBdamage());
				req.setAttribute("Ddamage", Calc_note.getDdamage());
				req.setAttribute("np_bairitsu", Calc_note.getNp_bairitsu());
				Judge_bot.setCordbuff(request, Calc_note.getBbuff(), Calc_note.getAbuff(),
						Calc_note.getQbuff(), Calc_note.getBdebuff(), Calc_note.getAdebuff());
			}
		}else if(SkillRef == null) {
			java.lang.System.out.println("SkillRef is null");
		}



	//ふぉわーど
	RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/Calculation.jsp");
	dispatcher.forward(request, response);
	}



}

Project/src/controller/about_Servlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class about_Servlet
 */
@WebServlet("/about_Servlet")
public class about_Servlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public about_Servlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ふぉわーど
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/about.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}
}

Project/WebContent/WEB-INF/jsp/Skill_List.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>


<!DOCTYPE html>
<html>
	<head>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<script type="text/javascript" src="js/jquery-3.4.1.min.js"></script>
		<script type="text/javascript" src="js/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="js/FGO_DB.js"></script>
		<link rel="stylesheet" href="css/FGO_DB.css">
		<meta charset="UTF-8">
		<title>スキルリスト</title>
	</head>
	<body>
		<jsp:include page="header.jsp" />
		<!-- でかでかとタイトル -->
		<div class="container content">
			<div class="row">
				<div class="col-2">

				</div>
				<div class="col-8 text-center">
					<h1>スキル検索</h1>
				</div>
				<div class="col-2 text-right">

				</div>
			</div>
			<br>
			<!-- ここにフォームとか -->
			<form action="SkillL_Servlet" method="post">
				<div class="row text-center">
					<div class="col">
						スキル名<br>
					</div>
					<div class="col">
						<input class="form-control form-control-sm" name="skill_name" type="text" placeholder="スキル名"><br>
					</div>
					<div class="col text-right">
						対象<br>
					</div>
					<div class="col">
						<label><input type="radio" name="fore" value="" checked="checked"> 指定なし</label>
						<label><input type="radio" name="fore" value="1"> 味方</label>
						<label><input type="radio" name="fore" value="2"> 敵</label>
					</div>
					<div class="col">
						<select class="form-control form-control-sm" name="target_id">
							<option value="">-</option>
							<option value="= 1">自身</option>
							<option value="= 2">単体</option>
							<option value="= 5">単体〔男性〕</option>
							<option value="= 6">単体〔女性〕</option>
							<option value="= 7">単体〔異性〕</option>
							<option value="between 11 and 35">単体〔特性〕</option>
							<option value="= 3">全体</option>
							<option value="= 4">全体(自身を除く)</option>
							<option value="= 8">全体〔男性〕</option>
							<option value="= 9">全体〔女性〕</option>
							<option value="= 10">全体〔異性〕</option>
							<option value="between 36 and 60">全体〔特性〕</option>
						</select>
						<br>
					</div>
				</div>
				<div class="row text-center">
					<div class="col">
						効果（バフのみ）<br>
					</div>
					<div class="col">
						<select class="form-control form-control-sm" name="effect_genre_buf">
							<option value="">-</option>
							<option value="1">攻撃力</option>
							<option value="28">防御力</option>
							<option value="9">クリティカル威力</option>
							<option value="10">スター発生率</option>
							<option value="19">スター集中度</option>
							<option value="20">スター獲得</option>
							<option value="5">宝具威力</option>
							<option value="2">B強化</option>
							<option value="3">A強化</option>
							<option value="4">Q強化</option>
							<option value="29">特攻付与</option>
							<option value="6">ダメージプラス</option>
							<option value="11">NP獲得量</option>
							<option value="12">NPを増やす</option>
							<option value="21">確率アップ系</option>
							<option value="13">弱体耐性</option>
							<option value="14">弱体無効</option>
							<option value="22">回避・無敵</option>
							<option value="23">ターゲット集中</option>
							<option value="24">最大HP</option>
							<option value="25">回復</option>
							<option value="26">回復量アップ</option>
							<option value="27">ガッツ</option>
						</select>
						<br>
					</div>
					<div class="col">
						効果（デバフのみ）<br>
					</div>
					<div class="col">
						<select name="effect_genre_deb" class="form-control form-control-sm">
							<option value="">-</option>
							<option value="1">攻撃力</option>
							<option value="27">防御力</option>
							<option value="9">クリティカル威力</option>
							<option value="10">クリティカル発生率</option>
							<option value="2">Bカード耐性</option>
							<option value="3">Aカード耐性</option>
							<option value="4">Qカード耐性</option>
							<option value="5">宝具威力</option>
							<option value="11">チャージ減</option>
							<option value="12">宝具封印</option>
							<option value="15">状態異常（毒、火傷、呪いなど）</option>
							<option value="17">行動制御系</option>
							<option value="16">強化状態解除</option>
							<option value="13">弱体耐性</option>
							<option value="14">強化無効状態</option>
						</select>
						<br>
					</div>
				</div>
				<br>
				<button type="submit" class="btn btn-secondary btn-lg btn-block">検索</button>
			</form>
			<div class="row">
				<div class="col">
					<font size="1" color="red">
						<strong>
							※スキルの順は適当で、ソート機能ありません
						</strong>
					</font>
				</div>
				<div class="col text-right">
					${fn:length(skill_coutList)}件中 ${fn:length(SkillList)}件がヒットしました。
				</div>
			</div>
			<!-- ここから一覧 -->
			<font size="2">
				<table class="table table-bordered table-sm table-hover">
					<thead class="thead-dark">
						<tr>
							<th scope="col">スキル名</th>
							<th scope="col">CT</th>
							<th scope="col">効果</th>
							<th scope="col">SLv1</th>
							<th scope="col">SLv2</th>
							<th scope="col">SLv3</th>
							<th scope="col">SLv4</th>
							<th scope="col">SLv5</th>
							<th scope="col">SLv6</th>
							<th scope="col">SLv7</th>
							<th scope="col">SLv8</th>
							<th scope="col">SLv9</th>
							<th scope="col">SLv10</th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="skill" items="${SkillList}" >
							<tr>
								<th scope="row" rowspan="${fn:length(skill.skill_Effect)+1}">${skill.name}</th>
								<td rowspan="${fn:length(skill.skill_Effect)+1}">${skill.ct}</td>
							</tr>
							<c:forEach var="skillE" items="${skill.skill_Effect}" >
							<tr>
								<td>${skillE.ef_text}</td>
								<c:choose>
									<c:when test="${skillE.ef_para_1 > 0}">
										<td>${skillE.ef_para_1}</td>
									</c:when>
									<c:when test="${skillE.ef_para_1 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_2 > 0}">
										<td>${skillE.ef_para_2}</td>
									</c:when>
									<c:when test="${skillE.ef_para_2 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_3 > 0}">
										<td>${skillE.ef_para_3}</td>
									</c:when>
									<c:when test="${skillE.ef_para_3 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_4 > 0}">
										<td>${skillE.ef_para_4}</td>
									</c:when>
									<c:when test="${skillE.ef_para_4 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_5 > 0}">
										<td>${skillE.ef_para_5}</td>
									</c:when>
									<c:when test="${skillE.ef_para_5 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_6 > 0}">
										<td>${skillE.ef_para_6}</td>
									</c:when>
									<c:when test="${skillE.ef_para_6 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_7 > 0}">
										<td>${skillE.ef_para_7}</td>
									</c:when>
									<c:when test="${skillE.ef_para_7 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_8 > 0}">
										<td>${skillE.ef_para_8}</td>
									</c:when>
									<c:when test="${skillE.ef_para_8 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_9 > 0}">
										<td>${skillE.ef_para_9}</td>
									</c:when>
									<c:when test="${skillE.ef_para_9 == 0}">
										<td></td>
									</c:when>
								</c:choose>
								<c:choose>
									<c:when test="${skillE.ef_para_10 > 0}">
										<td>${skillE.ef_para_10}</td>
									</c:when>
									<c:when test="${skillE.ef_para_10 == 0}">
										<td></td>
									</c:when>
								</c:choose>
							</tr>
							</c:forEach>
						</c:forEach>
					</tbody>
		    	</table>
		    </font>
		</div>
	</body>
</html>

Project/WebContent/WEB-INF/jsp/about.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
	<head>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<script type="text/javascript" src="js/jquery-3.4.1.min.js"></script>
		<link rel="stylesheet" href="css/theme.bootstrap.css">
		<script type="text/javascript" src="js/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="js/FGO_DB.js"></script>
		<link rel="stylesheet" href="css/FGO_DB.css">
		<meta charset="UTF-8">
		<title>このサイトについて</title>
	</head>
	<body>
		<jsp:include page="header.jsp" />
		<!-- でかでかとタイトル -->
		<div class="container content">
			<div class="row">
				<div class="col-2">

				</div>
				<div class="col-8 text-center">
					<h1>あばうと</h1>
				</div>
				<div class="col-2 text-right">

				</div>
			</div>
			<br>
			<!-- 以下内容 -->
			<br>
			<div class="row">
				<div class="col-1">

				</div>
				<div class="col-10 text-center">
					このサイトは、課題で作成されたサイトです。<br>
					<br>
					むずかしい<br>
				</div>
				<div class="col-1">

				</div>
			</div>
			<br>
			<br>
			<br>
			<div class="row">
				<div class="col text-right">
					HN.わたし　Twitter:@○○○○○○
				</div>
			</div>
			<br>
		</div>
	</body>
</html>